<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.DetectDeadlocks Method
DatabaseEnvironment Class See Also Send Feedback

Run one iteration of the deadlock detector. The deadlock detector traverses the lock table and marks one of the participating lock requesters for rejection in each deadlock it finds.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public uint DetectDeadlocks(
    	DeadlockPolicy atype
    )

Visual Basic (Declaration)

    Public Function DetectDeadlocks ( _
    	atype As DeadlockPolicy _
    ) As UInteger

Visual C++

    public:
    unsigned int DetectDeadlocks(
    	DeadlockPolicy^ atype
    )

#### Parameters

atype
  Type: BerkeleyDB..::.DeadlockPolicy
  Specify which lock request(s) to reject

#### Return Value

The number of lock requests that were rejected.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace